package com.caimei.module.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * cm_mall_organize_products
 * @author
 */
@Data
public class CmMallOrganizeProducts implements Serializable {
    private Integer id;
    /** 对应cm_mall_products_classify商品分类表id */
    private Integer classifyID;
    /** 组织ID,具体对应cm_mall_organize表ID */
    private Integer organizeID;
    /** 商品ID,具体对应product表 */
    private Integer productID;
    /** 市场价 */
    private BigDecimal normalPrice;
    /** 成本价 */
    private BigDecimal costPrice;
    /** 启用阶梯价格标识 0否 1是 */
    private String ladderPriceFlag;
    /** 售价(此起售价适用于非阶梯价格) */
    private BigDecimal retailPrice;
    /** 最小起订量(此起订量适用于非阶梯价格) */
    private Integer minBuyNumber;
    /** [对应表cm_mall_page_modules模块一]：是否是星范优惠：0不是优惠,1优惠商品 */
    private String preferredProduct;
    /** [对应表cm_mall_page_modules模块二]：是否是星范精品：0不是精品,1星范精品商品 */
    private String preferentialProduct;
    /** [对应表cm_mall_page_modules模块三]：是否是常用商品：0不是常用,1常用商品 */
    private String commonlyProduct;
    /** 商品状态,1已上架,2已下架 */
    private String validFlag;
    /** 模块一（优惠排序）排序默认为空,排序优先级1最高，空最后 */
    private Integer preferredProductSort;
    /** 模块二（精品排序）排序默认为空,排序优先级1最高,空最后 */
    private Integer preferentialProductSort;
    /** 模块三（常用排序）排序默认为空,排序优先级1最高,空最后 */
    private Integer commonlyProductSort;
    /** 添加时间 */
    private Date addTime;
    /** 更新时间 */
    private Date updateTime;
    /**  0 有效  其它无效 */
    private String delFlag;
    private static final long serialVersionUID = 1L;
}
